Commit fb731cfe authored by Zhang X.'s avatar Zhang X.
Browse files

Renew INSTALL.quick

parent 6e8211a6
Pipeline #261738 passed with stage
in 9 minutes and 21 seconds
Prerequisites
=============
Rhythmbox requires the following packages:
- A working GNOME platform (more specifically, you need glib 2.36, gtk+ 3.12,
and libsoup 2.42)
- totem-plparser 3.2.0 or newer
- GStreamer 1.4.0. or newer and associated plugin packages
- libpeas 0.7.3 or newer
Rhythmbox requires the following development packages to complete manual installation:
- intltool
- autoconf
- gtk-doc
- gettext
- yelp-tools
- gobject-introspection >= 0.10.0
- gtk >= 3.20
- gdk-pixbuf2 >= 2.18.0
- glib2 >= 2.38.0 (gio included)
- libsoup >= 2.42.0
- libpeas >= 0.7.3
- libpeas-gtk >= 0.7.3
- libxml2 >= 2.7.8
- libtdb >= 1.2.6
- json-glib
- libxml2 2.7.8 or newer
- tdb 1.2.6 or newer
- totem-pl-parser >= 3.2.0
- gstreamer1 >= 1.4.0
- gstreamer1-plugins-base >= 1.4.0
- check
Rhythmbox can also make use of the following packages:
- pygobject 3.0.0 or newer for python plugin support
- PyGObject 3.0.0 or newer for python plugin support
- GUdev 143 or newer, or HAL (for iPod and generic audio player support)
- libgpod 0.6 or newer (for iPod support)
- libmusicbrainz 3.0.2 or 4.0.0 or newer (for audio CD track listings)
......@@ -28,8 +38,8 @@ Rhythmbox can also make use of the following packages:
Simple install procedure
========================
% ./configure # run the 'configure' script
% make # build Rhythmbox
% sh autogen.sh # Generate and run 'configure' script.
% make # Build Rhythmbox. Use '-j' option to utilize multi-threads. For example: make -j3 (use 3 threads)
[ Become root if necessary ]
% make install # install Rhythmbox
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment